Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

aodh error: [Errno 98] Address already in use

I'm currently installing Ocata version on my CentOS 7.3 by following this guide. The following error keeps showing up in api.log whenever the openstack-aodh-api is started.

2017-05-17 07:56:41.220 26831 CRITICAL aodh [-] error: [Errno 98] Address already in use 2017-05-17 07:56:41.220 26831 ERROR aodh Traceback (most recent call last): 2017-05-17 07:56:41.220 26831 ERROR aodh File "/usr/bin/aodh-api", line 34, in <module> 2017-05-17 07:56:41.220 26831 ERROR aodh server = wss.make_server('', args.port, build_wsgi_app()) 2017-05-17 07:56:41.220 26831 ERROR aodh File "/usr/lib64/python2.7/wsgiref/simple_server.py", line 144, in make_server 2017-05-17 07:56:41.220 26831 ERROR aodh server = server_class((host, port), handler_class) 2017-05-17 07:56:41.220 26831 ERROR aodh File "/usr/lib64/python2.7/SocketServer.py", line 419, in __init__ 2017-05-17 07:56:41.220 26831 ERROR aodh self.server_bind() 2017-05-17 07:56:41.220 26831 ERROR aodh File "/usr/lib64/python2.7/wsgiref/simple_server.py", line 48, in server_bind 2017-05-17 07:56:41.220 26831 ERROR aodh HTTPServer.server_bind(self) 2017-05-17 07:56:41.220 26831 ERROR aodh File "/usr/lib64/python2.7/BaseHTTPServer.py", line 108, in server_bind 2017-05-17 07:56:41.220 26831 ERROR aodh SocketServer.TCPServer.server_bind(self) 2017-05-17 07:56:41.220 26831 ERROR aodh File "/usr/lib64/python2.7/SocketServer.py", line 430, in server_bind 2017-05-17 07:56:41.220 26831 ERROR aodh self.socket.bind(self.server_address) 2017-05-17 07:56:41.220 26831 ERROR aodh File "/usr/lib64/python2.7/socket.py", line 224, in meth 2017-05-17 07:56:41.220 26831 ERROR aodh return getattr(self._sock,name)(*args) 2017-05-17 07:56:41.220 26831 ERROR aodh error: [Errno 98] Address already in use 2017-05-17 07:56:41.220 26831 ERROR aodh

I have checked the port 8042 but no process is using it: netstat -tulpn| grep 8042

I have ran out of idea on what could caused this issue.